WordPress.org

Make WordPress Core


Ignore:
Timestamp:
10/09/2018 09:33:36 AM (3 years ago)
Author:
atimmer
Message:

Build tools: Upgrade webpack to version 4.

  • Minification is done by uglify, so disable that in the media build.
  • The webpack boilerplate has changed, which explains the changes in the build files.
  • ModuleConcatenationPlugin is enable by default for production builds so we don't have to specify that ourselves.

See #45065.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/5.0/package.json

    r43686 r43688  
    3636    "grunt-rtlcss": "~2.0.1",
    3737    "grunt-sass": "~2.0.0",
     38    "grunt-webpack": "^3.0.2",
    3839    "ink-docstrap": "^1.3.0",
    39     "grunt-webpack": "^3.0.2",
    4040    "matchdep": "~2.0.0",
    41     "webpack": "^3.6.0",
    42     "webpack-dev-server": "^2.9.1"
     41    "webpack": "^4.20.2",
     42    "webpack-dev-server": "^3.1.9"
    4343  }
    4444}
Note: See TracChangeset for help on using the changeset viewer.